commit 8cf9b2657046421327956ff972e70d348c06ae1a
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Wed Nov 6 10:28:34 2024 +0100

    testsuite: arm: Use effective-target for pr84556.cc test
    
    Using "dg-do run" with a selector overrides the default selector set by
    vect.exp that picks between "dg-do run" and "dg-do compile" based on the
    target's support for simd operations for Arm targets.
    The actual selection of default operation is performed in
    check_vect_support_and_set_flags.
    
    gcc/testsuite/ChangeLog:
    
            * g++.dg/vect/pr84556.cc: Change from "dg-do run" with selector
            to instead use dg-require-effective-target with the same
            selector.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
    (cherry picked from commit 85c3d944800257248ab48cdc75c2c02fadf63c73)

diff --git a/gcc/testsuite/g++.dg/vect/pr84556.cc b/gcc/testsuite/g++.dg/vect/pr84556.cc
index 6b1c9cec515..c7e331628a8 100644
--- a/gcc/testsuite/g++.dg/vect/pr84556.cc
+++ b/gcc/testsuite/g++.dg/vect/pr84556.cc
@@ -1,5 +1,5 @@
 // PR c++/84556
-// { dg-do run { target c++11 } }
+// { dg-require-effective-target c++11 }
 // { dg-additional-options "-O2 -fopenmp-simd" }
 // { dg-additional-options "-mavx" { target avx_runtime } }
 

